petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetConvergedReason

Sets the reason for handling the convergence of TSSolve.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetConvergedReason(TS ts,TSConvergedReason reason)

Not Collective Many br

### Input Parameter

| ts | - the TS context Many br
| reason | - negative value indicates diverged, positive value converged, see TSConvergedReason or the Many brmanual pages for the individual convergence tests for complete lists Many br

Many br

### Notes

Can only be called during TSSolve() is active. Many br

### Keywords

TS, nonlinear, set, convergence, test

### See Also

TSConvergedReason

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages